diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/test/wifi-phy-reception-test.cc ns-3.44/src/wifi/test/wifi-phy-reception-test.cc
--- ns-3.43/src/wifi/test/wifi-phy-reception-test.cc	2024-10-09 16:41:10.140657000 -0700
+++ ns-3.44/src/wifi/test/wifi-phy-reception-test.cc	2025-03-09 16:55:49.811372800 -0700
@@ -2220,70 +2221,70 @@
     // CASE 4: send one packet followed by a second one 3 dB weaker between the end of L-SIG and the
     // start of HE-SIG of the first packet: PHY header reception should succeed.
 
-    Simulator::Schedule(Seconds(4.0), &TestPhyHeadersReception::SendPacket, this, rxPower, 1000, 7);
-    Simulator::Schedule(Seconds(4.0) + MicroSeconds(25),
+    Simulator::Schedule(Seconds(4), &TestPhyHeadersReception::SendPacket, this, rxPower, 1000, 7);
+    Simulator::Schedule(Seconds(4) + MicroSeconds(25),
                         &TestPhyHeadersReception::SendPacket,
                         this,
-                        rxPower - 3,
+                        rxPower - dB_u{3},
                         1000,
                         7);
     // At 10 us, STA PHY STATE should be CCA_BUSY.
-    Simulator::Schedule(Seconds(4.0) + MicroSeconds(10.0),
+    Simulator::Schedule(Seconds(4) + MicroSeconds(10),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 44 us (end of HE-SIG), STA PHY STATE should move to RX since the PHY header reception
     // should have succeeded.
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(43999),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(43999),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(44000),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(44000),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::RX);
     // STA PHY STATE should move back to IDLE once the duration estimated from L-SIG has elapsed,
     // i.e. at 152.8us. However, since there is a second packet transmitted with a power above
     // CCA-ED (-62 dBm), PHY should first be seen as CCA_BUSY for 25us.
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(152799),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(152800),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(177799),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(177799),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(4.0) + NanoSeconds(177800),
+    Simulator::Schedule(Seconds(4) + NanoSeconds(177800),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::IDLE);
 
     // RX power < CCA-ED
-    rxPower = -70;
+    rxPower = dBm_u{-70};
 
     // CASE 5: send one packet followed by a second one with same power between the end of the 4us
     // preamble detection window and the start of L-SIG of the first packet: reception should be
     // aborted since L-SIG cannot be decoded (SNR too low).
 
-    Simulator::Schedule(Seconds(5.0), &TestPhyHeadersReception::SendPacket, this, rxPower, 1000, 7);
-    Simulator::Schedule(Seconds(5.0) + MicroSeconds(10),
+    Simulator::Schedule(Seconds(5), &TestPhyHeadersReception::SendPacket, this, rxPower, 1000, 7);
+    Simulator::Schedule(Seconds(5) + MicroSeconds(10),
                         &TestPhyHeadersReception::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
     // At 10 us, STA PHY STATE should be CCA_BUSY.
-    Simulator::Schedule(Seconds(5.0) + MicroSeconds(10.0),
+    Simulator::Schedule(Seconds(5) + MicroSeconds(10),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 24us (end of L-SIG), STA PHY STATE stay CCA_BUSY because L-SIG reception failed and the
     // start of a valid OFDM transmission has been detected
-    Simulator::Schedule(Seconds(5.0) + NanoSeconds(24000),
+    Simulator::Schedule(Seconds(5) + NanoSeconds(24000),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
@@ -2292,41 +2293,41 @@
     // preamble detection window and the start of L-SIG of the first packet: reception should not be
     // aborted since L-SIG can be decoded (SNR high enough).
 
-    Simulator::Schedule(Seconds(6.0), &TestPhyHeadersReception::SendPacket, this, rxPower, 1000, 7);
-    Simulator::Schedule(Seconds(6.0) + MicroSeconds(10),
+    Simulator::Schedule(Seconds(6), &TestPhyHeadersReception::SendPacket, this, rxPower, 1000, 7);
+    Simulator::Schedule(Seconds(6) + MicroSeconds(10),
                         &TestPhyHeadersReception::SendPacket,
                         this,
-                        rxPower - 3,
+                        rxPower - dB_u{3},
                         1000,
                         7);
     // At 10 us, STA PHY STATE should be CCA_BUSY.
-    Simulator::Schedule(Seconds(6.0) + MicroSeconds(10.0),
+    Simulator::Schedule(Seconds(6) + MicroSeconds(10),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 24us (end of L-SIG), STA PHY STATE should be unchanged because L-SIG reception should have
     // succeeded.
-    Simulator::Schedule(Seconds(6.0) + MicroSeconds(24.0),
+    Simulator::Schedule(Seconds(6) + MicroSeconds(24),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 44 us (end of HE-SIG), STA PHY STATE should move to RX since the PHY header reception
     // should have succeeded.
-    Simulator::Schedule(Seconds(6.0) + NanoSeconds(43999),
+    Simulator::Schedule(Seconds(6) + NanoSeconds(43999),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(6.0) + NanoSeconds(44000),
+    Simulator::Schedule(Seconds(6) + NanoSeconds(44000),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::RX);
     // Since it takes 152.8us to transmit the packet, PHY should be back to CCA_BUSY at time
     // 152.8us.
-    Simulator::Schedule(Seconds(6.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(6) + NanoSeconds(152799),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(6.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(6) + NanoSeconds(152800),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
@@ -2335,33 +2336,33 @@
     // the start of HE-SIG of the first packet: PHY header reception should not succeed but PHY
     // should stay in RX state for the duration estimated from L-SIG.
 
-    Simulator::Schedule(Seconds(7.0), &TestPhyHeadersReception::SendPacket, this, rxPower, 1000, 7);
-    Simulator::Schedule(Seconds(7.0) + MicroSeconds(25),
+    Simulator::Schedule(Seconds(7), &TestPhyHeadersReception::SendPacket, this, rxPower, 1000, 7);
+    Simulator::Schedule(Seconds(7) + MicroSeconds(25),
                         &TestPhyHeadersReception::SendPacket,
                         this,
                         rxPower,
                         1000,
                         7);
     // At 10 us, STA PHY STATE should be CCA_BUSY.
-    Simulator::Schedule(Seconds(7.0) + MicroSeconds(10.0),
+    Simulator::Schedule(Seconds(7) + MicroSeconds(10),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 24us (end of L-SIG), STA PHY STATE should be unchanged because L-SIG reception should have
     // succeeded.
-    Simulator::Schedule(Seconds(7.0) + MicroSeconds(24.0),
+    Simulator::Schedule(Seconds(7) + MicroSeconds(24),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 44 us (end of HE-SIG), STA PHY STATE should be not have moved to RX since reception of
     // HE-SIG should have failed.
-    Simulator::Schedule(Seconds(7.0) + MicroSeconds(44.0),
+    Simulator::Schedule(Seconds(7) + MicroSeconds(44),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // STA PHY STATE should keep CCA_BUSY once the duration estimated from L-SIG has elapsed, i.e.
     // at 152.8us.
-    Simulator::Schedule(Seconds(7.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(7) + NanoSeconds(152800),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
@@ -2369,41 +2370,41 @@
     // CASE 8: send one packet followed by a second one 3 dB weaker between the end of L-SIG and the
     // start of HE-SIG of the first packet: PHY header reception should succeed.
 
-    Simulator::Schedule(Seconds(8.0), &TestPhyHeadersReception::SendPacket, this, rxPower, 1000, 7);
-    Simulator::Schedule(Seconds(8.0) + MicroSeconds(25),
+    Simulator::Schedule(Seconds(8), &TestPhyHeadersReception::SendPacket, this, rxPower, 1000, 7);
+    Simulator::Schedule(Seconds(8) + MicroSeconds(25),
                         &TestPhyHeadersReception::SendPacket,
                         this,
-                        rxPower - 3,
+                        rxPower - dB_u{3},
                         1000,
                         7);
     // At 10 us, STA PHY STATE should be CCA_BUSY.
-    Simulator::Schedule(Seconds(8.0) + MicroSeconds(10.0),
+    Simulator::Schedule(Seconds(8) + MicroSeconds(10),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 24us (end of L-SIG), STA PHY STATE should be unchanged because L-SIG reception should have
     // succeeded.
-    Simulator::Schedule(Seconds(8.0) + MicroSeconds(24.0),
+    Simulator::Schedule(Seconds(8) + MicroSeconds(24),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
     // At 44 us (end of HE-SIG), STA PHY STATE should move to RX since the PHY header reception
     // should have succeeded.
-    Simulator::Schedule(Seconds(8.0) + NanoSeconds(43999),
+    Simulator::Schedule(Seconds(8) + NanoSeconds(43999),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
-    Simulator::Schedule(Seconds(8.0) + NanoSeconds(44000),
+    Simulator::Schedule(Seconds(8) + NanoSeconds(44000),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::RX);
     // STA PHY STATE should move back to CCA_BUSY once the duration estimated from L-SIG has
     // elapsed, i.e. at 152.8us.
-    Simulator::Schedule(Seconds(8.0) + NanoSeconds(152799),
+    Simulator::Schedule(Seconds(8) + NanoSeconds(152799),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::RX);
-    Simulator::Schedule(Seconds(8.0) + NanoSeconds(152800),
+    Simulator::Schedule(Seconds(8) + NanoSeconds(152800),
                         &TestPhyHeadersReception::CheckPhyState,
                         this,
                         WifiPhyState::CCA_BUSY);
@@ -2413,10 +2414,10 @@
 }
 
 /**
- * \ingroup wifi-test
- * \ingroup tests
+ * @ingroup wifi-test
+ * @ingroup tests
  *
- * \brief A-MPDU reception test
+ * @brief A-MPDU reception test
  */
 class TestAmpduReception : public WifiPhyReceptionTest
 {
@@ -2429,34 +2430,34 @@
 
     /**
      * RX success function
-     * \param psdu the PSDU
-     * \param rxSignalInfo the info on the received signal (\see RxSignalInfo)
-     * \param txVector the transmit vector
-     * \param statusPerMpdu reception status per MPDU
+     * @param psdu the PSDU
+     * @param rxSignalInfo the info on the received signal (\see RxSignalInfo)
+     * @param txVector the transmit vector
+     * @param statusPerMpdu reception status per MPDU
      */
     void RxSuccess(Ptr<const WifiPsdu> psdu,
                    RxSignalInfo rxSignalInfo,
-                   WifiTxVector txVector,
-                   std::vector<bool> statusPerMpdu);
+                   const WifiTxVector& txVector,
+                   const std::vector<bool>& statusPerMpdu);
     /**
      * RX failure function
-     * \param psdu the PSDU
+     * @param psdu the PSDU
      */
     void RxFailure(Ptr<const WifiPsdu> psdu);
     /**
      * RX dropped function
-     * \param p the packet
-     * \param reason the reason
+     * @param p the packet
+     * @param reason the reason
      */
     void RxDropped(Ptr<const Packet> p, WifiPhyRxfailureReason reason);
     /**
      * Increment reception success bitmap.
-     * \param size the size of the received packet
+     * @param size the size of the received packet
      */
     void IncrementSuccessBitmap(uint32_t size);
     /**
      * Increment reception failure bitmap.
-     * \param size the size of the received packet
+     * @param size the size of the received packet
      */
     void IncrementFailureBitmap(uint32_t size);
 
@@ -2468,46 +2469,46 @@
     /**
      * Send A-MPDU with 3 MPDUs of different size (i-th MSDU will have 100 bytes more than
      * (i-1)-th).
-     * \param rxPower the transmit power
-     * \param referencePacketSize the reference size of the packets in bytes (i-th MSDU will have
+     * @param rxPower the transmit power
+     * @param referencePacketSize the reference size of the packets in bytes (i-th MSDU will have
      * 100 bytes more than (i-1)-th)
      */
     void SendAmpduWithThreeMpdus(dBm_u rxPower, uint32_t referencePacketSize);
 
     /**
      * Check the RX success bitmap for A-MPDU 1
-     * \param expected the expected bitmap
+     * @param expected the expected bitmap
      */
     void CheckRxSuccessBitmapAmpdu1(uint8_t expected);
     /**
      * Check the RX success bitmap for A-MPDU 2
-     * \param expected the expected bitmap
+     * @param expected the expected bitmap
      */
     void CheckRxSuccessBitmapAmpdu2(uint8_t expected);
     /**
      * Check the RX failure bitmap for A-MPDU 1
-     * \param expected the expected bitmap
+     * @param expected the expected bitmap
      */
     void CheckRxFailureBitmapAmpdu1(uint8_t expected);
     /**
      * Check the RX failure bitmap for A-MPDU 2
-     * \param expected the expected bitmap
+     * @param expected the expected bitmap
      */
     void CheckRxFailureBitmapAmpdu2(uint8_t expected);
     /**
      * Check the RX dropped bitmap for A-MPDU 1
-     * \param expected the expected bitmap
+     * @param expected the expected bitmap
      */
     void CheckRxDroppedBitmapAmpdu1(uint8_t expected);
     /**
      * Check the RX dropped bitmap for A-MPDU 2
-     * \param expected the expected bitmap
+     * @param expected the expected bitmap
      */
     void CheckRxDroppedBitmapAmpdu2(uint8_t expected);
 
     /**
      * Check the PHY state
-     * \param expectedState the expected PHY state
+     * @param expectedState the expected PHY state
      */
     void CheckPhyState(WifiPhyState expectedState);
 
@@ -2540,8 +2541,8 @@
 void
 TestAmpduReception::RxSuccess(Ptr<const WifiPsdu> psdu,
                               RxSignalInfo rxSignalInfo,
-                              WifiTxVector txVector,
-                              std::vector<bool> statusPerMpdu)
+                              const WifiTxVector& txVector,
+                              const std::vector<bool>& statusPerMpdu)
 {
     NS_LOG_FUNCTION(this << *psdu << rxSignalInfo << txVector);
     if (statusPerMpdu.empty()) // wait for the whole A-MPDU
@@ -2735,7 +2736,7 @@
                                          1,
                                          1,
                                          0,
-                                         20,
+                                         MHz_u{20},
                                          true);
 
     WifiMacHeader hdr;
@@ -2750,7 +2751,8 @@
     }
     Ptr<WifiPsdu> psdu = Create<WifiPsdu>(mpduList);
 
-    Time txDuration = m_phy->CalculateTxDuration(psdu->GetSize(), txVector, m_phy->GetPhyBand());
+    Time txDuration =
+        SpectrumWifiPhy::CalculateTxDuration(psdu->GetSize(), txVector, m_phy->GetPhyBand());
 
     Ptr<WifiPpdu> ppdu =
         Create<HePpdu>(psdu, txVector, m_phy->GetOperatingChannel(), txDuration, m_uid++);
@@ -2797,7 +2799,7 @@
     RngSeedManager::SetSeed(1);
     RngSeedManager::SetRun(2);
     int64_t streamNumber = 1;
-    dBm_u rxPower = -30;
+    dBm_u rxPower{-30};
     m_phy->AssignStreams(streamNumber);
 
     /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
@@ -2807,14 +2809,14 @@
     /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(1.0),
+    Simulator::Schedule(Seconds(1),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
-                        rxPower - 100,
+                        rxPower - dB_u{100},
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(1.0) + MicroSeconds(2),
+    Simulator::Schedule(Seconds(1) + MicroSeconds(2),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
@@ -2857,17 +2859,17 @@
     /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(2.0),
+    Simulator::Schedule(Seconds(2),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(2.0) + MicroSeconds(2),
+    Simulator::Schedule(Seconds(2) + MicroSeconds(2),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
-                        rxPower - 100,
+                        rxPower - dB_u{100},
                         1300);
 
     // All MPDUs of A-MPDU 1 should have been received.
@@ -2907,14 +2909,14 @@
     /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(3.0),
+    Simulator::Schedule(Seconds(3),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
-                        rxPower - 100,
+                        rxPower - dB_u{100},
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(3.0) + MicroSeconds(10),
+    Simulator::Schedule(Seconds(3) + MicroSeconds(10),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
@@ -2957,17 +2959,17 @@
     /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(4.0),
+    Simulator::Schedule(Seconds(4),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(4.0) + MicroSeconds(10),
+    Simulator::Schedule(Seconds(4) + MicroSeconds(10),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
-                        rxPower - 100,
+                        rxPower - dB_u{100},
                         1300);
 
     // All MPDUs of A-MPDU 1 should have been received.
@@ -3007,14 +3009,14 @@
     //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(5.0),
+    Simulator::Schedule(Seconds(5),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
-                        rxPower - 100,
+                        rxPower - dB_u{100},
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(5.0) + MicroSeconds(100),
+    Simulator::Schedule(Seconds(5) + MicroSeconds(100),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
@@ -3057,17 +3059,17 @@
     //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(6.0),
+    Simulator::Schedule(Seconds(6),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(6.0) + MicroSeconds(100),
+    Simulator::Schedule(Seconds(6) + MicroSeconds(100),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
-                        rxPower - 100,
+                        rxPower - dB_u{100},
                         1300);
 
     // All MPDUs of A-MPDU 1 should have been received.
@@ -3106,14 +3108,14 @@
     /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(7.0),
+    Simulator::Schedule(Seconds(7),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
-                        rxPower - 100,
+                        rxPower - dB_u{100},
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(7.0) + NanoSeconds(1100000),
+    Simulator::Schedule(Seconds(7) + NanoSeconds(1100000),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
@@ -3155,17 +3157,17 @@
     /////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(8.0),
+    Simulator::Schedule(Seconds(8),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(8.0) + NanoSeconds(1100000),
+    Simulator::Schedule(Seconds(8) + NanoSeconds(1100000),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
-                        rxPower - 100,
+                        rxPower - dB_u{100},
                         1300);
 
     // All MPDUs of A-MPDU 1 should have been received.
@@ -3205,17 +3207,17 @@
     ///////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(9.0),
+    Simulator::Schedule(Seconds(9),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(9.0) + MicroSeconds(2),
+    Simulator::Schedule(Seconds(9) + MicroSeconds(2),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
-                        rxPower + static_cast<dB_u>(3.0),
+                        rxPower + dB_u{3.0},
                         1300);
 
     // All MPDUs of A-MPDU 1 should have been dropped.
@@ -3255,14 +3257,14 @@
     ///////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(10.0),
+    Simulator::Schedule(Seconds(10),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(10.0) + MicroSeconds(2),
+    Simulator::Schedule(Seconds(10) + MicroSeconds(2),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
@@ -3305,14 +3307,14 @@
     ///////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(11.0),
+    Simulator::Schedule(Seconds(11),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
-                        rxPower + static_cast<dB_u>(3.0),
+                        rxPower + dB_u{3.0},
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(11.0) + MicroSeconds(2),
+    Simulator::Schedule(Seconds(11) + MicroSeconds(2),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
@@ -3355,17 +3357,17 @@
     ///////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(12.0),
+    Simulator::Schedule(Seconds(12),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(12.0) + MicroSeconds(10),
+    Simulator::Schedule(Seconds(12) + MicroSeconds(10),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
-                        rxPower + static_cast<dB_u>(3.0),
+                        rxPower + dB_u{3.0},
                         1300);
 
     // All MPDUs of A-MPDU 1 should have been received with errors (PHY header reception failed and
@@ -3407,14 +3409,14 @@
     ///////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(13.0),
+    Simulator::Schedule(Seconds(13),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(13.0) + MicroSeconds(10),
+    Simulator::Schedule(Seconds(13) + MicroSeconds(10),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
@@ -3458,14 +3460,14 @@
     ///////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(14.0),
+    Simulator::Schedule(Seconds(14),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
-                        rxPower + static_cast<dB_u>(3.0),
+                        rxPower + dB_u{3.0},
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(14.0) + MicroSeconds(10),
+    Simulator::Schedule(Seconds(14) + MicroSeconds(10),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
@@ -3508,17 +3510,17 @@
     ///////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(15.0),
+    Simulator::Schedule(Seconds(15),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(15.0) + MicroSeconds(10),
+    Simulator::Schedule(Seconds(15) + MicroSeconds(10),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
-                        rxPower + static_cast<dB_u>(6.0),
+                        rxPower + dB_u{6.0},
                         1300);
 
     // All MPDUs of A-MPDU 1 should have been dropped because PHY reception switched to A-MPDU 2.
@@ -3558,14 +3560,14 @@
     ///////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(16.0),
+    Simulator::Schedule(Seconds(16),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
-                        rxPower + static_cast<dB_u>(6.0),
+                        rxPower + dB_u{6.0},
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(16.0) + MicroSeconds(10),
+    Simulator::Schedule(Seconds(16) + MicroSeconds(10),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
@@ -3608,17 +3610,17 @@
     //////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
 
     // A-MPDU 1
-    Simulator::Schedule(Seconds(17.0),
+    Simulator::Schedule(Seconds(17),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
                         rxPower,
                         1000);
 
     // A-MPDU 2
-    Simulator::Schedule(Seconds(17.0) + MicroSeconds(25),
+    Simulator::Schedule(Seconds(17) + MicroSeconds(25),
                         &TestAmpduReception::SendAmpduWithThreeMpdus,
                         this,
-                        rxPower + static_cast<dB_u>(6.0),
+                        rxPower + dB_u{6.0},
                         1300);
 
     // All MPDUs of A-MPDU 1 should have been received with errors.
